export default {
    inject: [
        'fetchSearchingMajors',
        'updateCheckedList',
        'snapshotSearchingMajorWhenApply',
        'isSearchingMajorFired',
        'isFormedMajorFired',
        'ensureMajorFullTree',
        'getMajorTree'
    ],
    computed: {
        majorTree() {
            // noinspection JSUnresolvedFunction
            return this.getMajorTree()
        },
        searchingMajors() {
            // noinspection JSUnresolvedFunction
            return this.fetchSearchingMajors()
        },
        checkedList() {
            return this.searchingMajors.checkedList
        },
        majorTreeChildren() {
            return this.searchingMajors.majorTreeChildren
        },
        formedMajors() {
            return this.searchingMajors.formedMajors
        }
    }
}
